Package com.macrofocus.high_d.scatterplot

# Interface ScatterPlotModel<Color,Row,Column>

All Known Implementing Classes:
  `AbstractScatterPlotModel`, `ControlChartScatterPlotModel`, `DefaultScatterPlotModel`, `MDSScatterPlotModel`

public interface ScatterPlotModel<Color,Row,Column>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addScatterPlotListener(ScatterPlotListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `com.macrofocus.molap.dataframe.DataFrame`
  `getAnnotationDataFrame()`
  `com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column>`
  `getAxisGroupModel()`
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `com.macrofocus.molap.dataframe.DataFrame`
  `getDataFrame()`
  `Filter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel>`
  `getSize()`
  `com.macrofocus.high_d.axis.AxisModel<Row,Column>`
  `getSizeAxisModel()`
  `com.macrofocus.visual.Visual<Color,Row,Column>`
  `getVisual()`
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,Column>>`
  `getX()`
  `com.macrofocus.high_d.axis.AxisModel<Row,Column>`
  `getXAxisModel()`
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,Column>>`
  `getY()`
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,Column>>`
  `getY2()`
  `com.macrofocus.high_d.axis.AxisModel<Row,Column>`
  `getY2AxisModel()`
  `com.macrofocus.high_d.axis.AxisModel<Row,Column>`
  `getYAxisModel()`
  `void`
  `removeScatterPlotListener(ScatterPlotListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

- ## Method Details

  - ### getVisual

    com.macrofocus.visual.Visual<Color,Row,Column> getVisual()

  - ### getAxisGroupModel

    com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> getAxisGroupModel()

  - ### getProbing

    MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Returns:
      the model used for probing.

  - ### getSelection

    MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Returns:
      the model used for selection.

  - ### getFilter

    Filter<Row> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Returns:
      the model used for filtering.

  - ### getColorMapping

    com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column> getColorMapping()
    Gets model holding the color mapping of each object.
    Returns:
      the model holding the color of each object.

  - ### getColoring

    com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Returns:
      the model holding the color of each object.

  - ### getObjectCount

    int getObjectCount()
    Returns the number of data objects (typically rows).
    Returns:
      the number of data objects

  - ### getObject

    Row getObject(int index)
    Parameters:
      `index` -
    Returns:

  - ### getXAxisModel

    com.macrofocus.high_d.axis.AxisModel<Row,Column> getXAxisModel()

  - ### getYAxisModel

    com.macrofocus.high_d.axis.AxisModel<Row,Column> getYAxisModel()

  - ### getY2AxisModel

    com.macrofocus.high_d.axis.AxisModel<Row,Column> getY2AxisModel()

  - ### getSizeAxisModel

    com.macrofocus.high_d.axis.AxisModel<Row,Column> getSizeAxisModel()

  - ### getX

    MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,Column>> getX()

  - ### getY

    MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,Column>> getY()

  - ### getY2

    MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,Column>> getY2()

  - ### getSize

    MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel> getSize()

  - ### getDataFrame

    com.macrofocus.molap.dataframe.DataFrame getDataFrame()

  - ### getAnnotationDataFrame

    com.macrofocus.molap.dataframe.DataFrame getAnnotationDataFrame()

  - ### addScatterPlotListener

    void addScatterPlotListener(ScatterPlotListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Parameters:
      `listener` - the listener to add.

  - ### removeScatterPlotListener

    void removeScatterPlotListener(ScatterPlotListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Parameters:
      `listener` - the listener to remove.